| GET | /RestApi/recycle-bin/items |
|---|
import java.math.*;
import java.util.*;
import net.servicestack.client.*;
import com.google.gson.annotations.*;
import com.google.gson.reflect.*;
public class dtos
{
public static class FindRecycleBinItems implements IRecycleBinItemFilter
{
public Integer Skip = null;
public Integer Take = null;
public String OrderExpression = null;
public String TypeName = null;
public String SearchText = null;
public Integer getSkip() { return Skip; }
public FindRecycleBinItems setSkip(Integer value) { this.Skip = value; return this; }
public Integer getTake() { return Take; }
public FindRecycleBinItems setTake(Integer value) { this.Take = value; return this; }
public String getOrderExpression() { return OrderExpression; }
public FindRecycleBinItems setOrderExpression(String value) { this.OrderExpression = value; return this; }
public String getTypeName() { return TypeName; }
public FindRecycleBinItems setTypeName(String value) { this.TypeName = value; return this; }
public String getSearchText() { return SearchText; }
public FindRecycleBinItems setSearchText(String value) { this.SearchText = value; return this; }
}
}
To override the Content-type in your clients, use the HTTP Accept Header, append the .xml suffix or ?format=xml
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
GET /RestApi/recycle-bin/items HTTP/1.1 Host: www.asg.com.au Accept: application/xml
HTTP/1.1 200 OK
Content-Type: application/xml
Content-Length: length
<ArrayOfRecycleBinItemProxy xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Telerik.Sitefinity.RecycleBin.Services.Dto">
<RecycleBinItemProxy>
<DataItemId>00000000-0000-0000-0000-000000000000</DataItemId>
<DateCreated>0001-01-01T00:00:00</DateCreated>
<DisplayTypeName>String</DisplayTypeName>
<Id>00000000-0000-0000-0000-000000000000</Id>
<ItemLanguage>String</ItemLanguage>
<ItemTitle>String</ItemTitle>
<ItemTypeName>String</ItemTypeName>
<OwnerName>String</OwnerName>
<ParentTitlesPath>String</ParentTitlesPath>
<ParentTypeName>String</ParentTypeName>
<ProviderName>String</ProviderName>
<Status>String</Status>
<StatusText>String</StatusText>
</RecycleBinItemProxy>
</ArrayOfRecycleBinItemProxy>